Subject: RE: bug#41250: 28.0.50; Dired displays unconditionally ls-switches on modeline

From: Drew Adams <[email-masked]>
Date: Wed, 30 Sep 2020 14:07:39 -0700 (PDT)

> > And I'm not sure about this:
> >
> > +                                   (concat " " xs (and (< l2  l1)
> "…")))))
> >
> > Perhaps that should be conditional upon the terminal being able to
> > display that character?
> 
> Like everywhere else (if (char-displayable-p ?…) "…" "...")

I'd argue (but not forcefully) for just "...".  As I
mentioned, "…" is, for me, useless as an ellipsis.  I think
it must be useless for nearly everyone, with a fixed-width
font.

I imagine that I included it in the patch (it's not in my
code, which is otherwise identical to what's in the patch)
only because some were worried about mode-line real estate.

Maybe it's worth a defvar (string value), so code that wants
to tweak the mode-line can adapt it?